<div id="mapList">
    <ng-content select="[obs-form]" *ngIf="display_form"></ng-content>
    <span [class.d-none]="display_form">
        <div class="col-lg-12 mx-4 mt-2 mb-4">
            <strong><span *ngIf="userDashboard">Mes </span>Sites </strong>
            <span class="badge badge-pill badge-info">{{ sites?.length }}</span>
            <ng-content select="[add-obs]"></ng-content>
        </div>
        <div id="list">
            <div
                *ngFor="let o of sites"
                (click)="onSiteClick(o)"
                class="espece"
            >
                <img
                    src="{{
                        o.properties.photo
                            ? apiEndpoint + o.properties.photo.url
                            : o.properties.site_type.pictogram? o.properties.site_type.pictogram:'assets/no_photo_light.png'
                    }}"
                />
                <div class="infos">
                    <h5>
                        {{ o.properties.name }}
                        <span *ngIf="userDashboard" class="pull-right">
                            &nbsp;
                            <app-sitemodalflow
                                #modalFlowRef
                                [coords]="o.properties.coords"
                                [updateData]="o.properties"
                                [program_id]="o.properties.id_program"
                            >
                                <i
                                    class="fa fa-edit text-primary"
                                    placement="bottom"
                                    ngbTooltip="Editer"
                                    *ngIf="
                                        o.properties.id_role ===
                                        userService.role_id
                                    "
                                    btn-open
                                ></i>
                            </app-sitemodalflow>
                            &nbsp;
                            <i
                                class="fa fa-trash text-danger"
                                placement="bottom"
                                ngbTooltip="Supprimer"
                                (click)="
                                    siteService.deleteSite.emit(
                                        o.properties.id_site
                                    )
                                "
                                *ngIf="
                                    o.properties.creator_can_delete &&
                                    o.properties.id_role === userService.role_id
                                "
                                owner-actions
                            ></i>
                        </span>
                    </h5>
                    <p>
                        {{ o.properties.site_type.type | titlecase }} ajouté(e)
                        par
                        <span>{{ o.properties.obs_txt }}</span>
                    </p>
                    <p>
                        le
                        <span>{{
                            o.properties.timestamp_create.substring(0, 10)
                                | date: 'longDate'
                        }}</span>
                    </p>
                </div>
                <div
                    class="hide"
                    [routerLink]="[
                        '/programs',
                        o.properties.id_program,
                        'sites',
                        o.properties.id_site
                    ]"
                    queryParamsHandling="preserve"
                    style="cursor: pointer"
                    title="Voir les détails sur ce site"
                >
                    <img src="assets/binoculars.png" />
                </div>
            </div>
        </div>
    </span>
</div>
